Bug 155933 - installer hangs/display corrupts post 'starting atd...'
installer hangs/display corrupts post 'starting atd...'
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-04-25 17:09 EDT by Gerald Jones
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-30 03:40:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Jones 2005-04-25 17:09:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Text only install, monitor not recognised, successfull installation. Post-install reboot, installer hangs/display corrupts after 'configuring kernel parameters' boot section. Removed 'rhgb' from vmlinuz, bootup reaches 'starting atd....', display corrupts/installer hangs.

Version-Release number of selected component (if applicable):
kernel 2.6.9-1.667

How reproducible:

Steps to Reproduce:
1.Text only install (GUI crashes/hangs at post hardware probing)
2.Post-install reboot

Actual Results:  Installer hangs/crashes after 'configuring kernel parameters' boot section. 

Expected Results:  Normal bootup to post-install config/Fedora start screen

Additional info:

Monitor was not recognised, added manufacturers specs for HS and VR, added "noaccel" option under device, added "1024x768" with default 24 color/depth. Able to access FC3 command shell via rescue disk. Ran 'system-config-display', result was black screen/system crash, occurred with system defaults and amended /xorg.conf as above.

Ran 'X -probeonly' and was given this:
(ww) * INVALID MEMORY ALLOCATION *  b: 0xe4000004d0000000  e: 0xe4000004dfffffff


(ee) Sparse io range (base: 0x2a95c7d406  mask: 0xb1d790) doesnt satisfy (base+mask =mask)

System specs:
Mitsubishi DiamondPro750sb
AMD64 3200+
Sparkle 6600 256mb PCIe
80Gb HDD
Comment 1 Gerald Jones 2005-04-26 08:54:40 EDT
FC3 i386 version worked fine. MOBO BIOS beta ver F3j
Comment 2 Mike A. Harris 2005-05-24 12:32:29 EDT
Note: When filing bug reports, hit ENTER at the end of each line after
70 characters.  This bug report is virtually unreadable.

>Description of problem:
>Text only install, monitor not recognised

Monitor autodetection is x86 specific and does not work on any other
architecture, so this is expected.

> Sparkle 6600 256mb PCIe

If that's a GeForce 6600, they're unsupported in FC3 out of the box.
Might work with latest updates for FC3.  FC4's current xorg-x11 has
support for it, but it is buggy.  Using "XaaNoScreenToScreenCopy" works
around the problem however, and might work on FC3+updates also.

Attach X server log and config file, and output of "rpm -q xorg-x11"

Comment 3 Mike A. Harris 2005-08-30 03:40:24 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.